<?php
	$dir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'))."/phone_gap";
	require_once($dir."/classes/Subgrupo.class.php");
	require_once($dir."/classes/Dados.class.php");
	
	class SubgrupoDAO {
		
		public function lkpSubgrupo($subgrupo){
			$dados = new Dados();
			$sql = "select CODSUBGRUPO, DESCRICAO from SUBGRUPOS where CODGRUPO = ".$subgrupo->getCodgrupo()." order by 2 ";
			$array = $dados->SelectSQL($sql);
			foreach ($array as $row){
				$novoSubgrupo = new Subgrupo();
				$novoSubgrupo->setCodgrupo($subgrupo->getCodgrupo());
				$novoSubgrupo->setCodsubgrupo($row["CODSUBGRUPO"]);
				$novoSubgrupo->setDescricao($row["DESCRICAO"]);
				$subgrupos[] = $novoSubgrupo;
			}
			return $subgrupos;
		}
		
	}
	
?>